Range-v3 Range algorithms, views, and actions for the Standard Library |

Functions
binary_search.hpp File Reference

## Functions
template<typename I , typename S , typename V , typename C = less, typename P = identity>
bool | ranges::binary_search (I first, S last, V const &val, C pred=C{}, P proj=P{})
| function template `binary_search` More...
template<typename Rng , typename V , typename C = less, typename P = identity>
bool | ranges::binary_search (Rng &&rng, V const &val, C pred=C{}, P proj=P{})
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...